Opened 5 years ago

Closed 3 years ago

Last modified 3 years ago

#1692 closed Task (fixed)

2016WP SIMPLIF-2:Re-writing of interface between model and configuration

Reported by: flavoni Owned by: nemo
Priority: low Milestone: 2015 simplification
Component: OCE Version: trunk
Severity: Keywords:
Cc: Review:
MP ready?:
Progress:

Description (last modified by flavoni)

Ticket for development branch related to SIMPLIF-2 from the 2016WP.
related wiki page : 2016WP/Simplif2-CNRS-simona

and wiki page with description of all steps here: 1692_SIMPLIF_2

Commit History (38)

ChangesetAuthorTimeChangeLog
7226flavoni2016-11-15T10:11:33+01:00

#1692 - branch SIMPLIF_2_usrdef: updates sette.sh tests

7225flavoni2016-11-15T09:38:52+01:00

#1692 - branch SIMPLIF_2_usrdef: updates: rm jpidta in agrif_user, rm dom_cfg for OFFLINE

7220flavoni2016-11-10T15:20:24+01:00

#1692 - branch SIMPLIF_2_usrdef: some updatesÃ

7219flavoni2016-11-10T11:26:21+01:00

#1692 - branch SIMPLIF_2_usrdef: remove call to old routine in offline

7216flavoni2016-11-09T20:45:03+01:00

#1692 - branch SIMPLIF_2_usrdef: add missing namelist

7208flavoni2016-11-08T15:45:46+01:00

#1692 - branch SIMPLIF_2_usrdef: add usrdef_istate for ISOMIP

7205flavoni2016-11-08T10:25:54+01:00

#1692 - branch SIMPLIF_2_usrdef: adapt new domain names

7200gm2016-11-06T17:31:33+01:00

#1692 - branch SIMPLIF_2_usrdef: add depth_e3 module + management of ORCA family + domain_cfg filename (in&out) given in namelist

7189gm2016-11-04T08:17:27+01:00

#1692 - branch SIMPLIF_2_usrdef: e3.=dk[dep.] TOOLS update + domzgr style

7188gm2016-11-04T06:54:44+01:00

#1692 - branch SIMPLIF_2_usrdef: e3.=dk[dep.] (discret derivative)

7164gm2016-11-01T15:49:45+01:00

#1692 - branch SIMPLIF_2_usrdef: comment update only

7112flavoni2016-10-26T16:31:39+02:00

#1692 and ROBUST-3, add ISOMIP test case

7111flavoni2016-10-26T15:55:19+02:00

#1692, add lbc_lnk in dommsk

7110flavoni2016-10-26T15:53:04+02:00

#1692 and ROBUST-3, updates

7108flavoni2016-10-26T15:23:14+02:00

#1692 and ROBUST-3, update README

7107flavoni2016-10-26T15:21:30+02:00

#1692 and ROBUST-3, add ISF computation for TOOLS, and remove .nc files

7024gm2016-10-12T19:09:03+02:00

#1692 - branch SIMPLIF_2_usrdef: remove domcfg.F90 ; set all ln_dynhpg to false by default

6923gm2016-09-08T11:09:57+02:00

#1692 - branch SIMPLIF_2_usrdef: update comments in usrdef modules

6922flavoni2016-09-07T15:34:08+02:00

#1692 and ROBUST-3 : add declaration variable

6916flavoni2016-09-06T14:35:26+02:00

#1692 and ROBUST-3 : Update and some cleaning

6914gm2016-09-06T13:27:38+02:00

#1692 - branch SIMPLIF_2_usrdef: final adjustment of OVERFLOW and LOCK-ECHANGE configuration

6906flavoni2016-09-02T15:06:17+02:00

#1692 and ROBUST-3 : commit zgr and some update for LOCK EXCHANGE case

6905gm2016-09-02T10:53:03+02:00

#1692 - branch SIMPLIF_2_usrdef: OVERFLOW configuration (zps case) + dommsk bug correction

6904gm2016-09-01T12:17:31+02:00

#1692 - branch SIMPLIF_2_usrdef: OVERFLOW configuration (zco & sco) + small bug corrections

6901flavoni2016-08-29T18:17:57+02:00

#1692 and ROBUST-3 : Update OVERFLOW configuration, and ADD LOCK_EXCHANGE configuration

6900flavoni2016-08-29T17:55:22+02:00

#1692 and ROBUST-3 : Update OVERFLOW configuration, and some cleaning

6828flavoni2016-08-01T15:43:06+02:00

#1692 - branch SIMPLIF_2_usrdef: commit continues

6827flavoni2016-08-01T15:37:15+02:00

#1692 - branch SIMPLIF_2_usrdef: commit routines Fortran to create domain_cfg.nc file, to have domain (input) files for new simplification branch. To be moved in TOOLS directory

6717gm2016-06-17T12:00:46+02:00

#1692 - branch SIMPLIF_2_usrdef: numerous improvement in the user defined interface

6667gm2016-06-06T07:57:00+02:00

#1692 - branch SIMPLIF_2_usrdef: reduced domain_cfg.nc file: GYRE OK using usrdef or reading file

6624gm2016-05-26T10:59:48+02:00

#1692 - branch SIMPLIF_2_usrdef: add domain_cfg.nc file which includes jperio, and vert. coord. logicals. +code cleaning

6596gm2016-05-22T20:11:06+02:00

#1692 - branch SIMPLIF_2_usrdef: remove from namcfg and namdom many obsolete variables ; remove izoom/jzoom option

6595gm2016-05-22T08:57:02+02:00

#1692 - branch SIMPLIF_2_usrdef: add namusr_def, domain size read in file, interface with arguments for hgr_read and usr_def_hgr

6593flavoni2016-05-20T16:34:59+02:00

#1692: simplified domhgr and usrdef modules

6583flavoni2016-05-20T11:10:37+02:00

add module for sbc gyre in usr_def module , see ticket #1692

6579flavoni2016-05-19T16:12:37+02:00

add module for istate in usr_def module , see ticket #1692

6484flavoni2016-04-19T18:01:48+02:00

update usr_def module, see ticket #1692

6422flavoni2016-04-04T12:44:41+02:00

first attempt: introduction of usr_def module for horizontal domain GYRE exemple, see ticket #1692

Change History (3)

comment:1 Changed 4 years ago by flavoni

  • Description modified (diff)

comment:2 Changed 3 years ago by flavoni

  • Resolution set to fixed
  • Status changed from new to closed

all developments are included into the last merge.

comment:3 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

Note: See TracTickets for help on using tickets.